/*****************************************
 * Large Assignment 1: L-systems 
 * Name:    Lasair Servilla
 * E-mail:  lservilla@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    09/14/2023
 *
 * This program includes several L-system grammars
 * to draw a specific design remove the prefex 
 * so that the set is namd rules
***********************************************/


import Turtle.*;

L_Systems_Class l;
Turtle t;

void setup(){
  size(1200,1200);
  background(#d3dbf5);
  //stroke(255);
  frameRate(1);
  
  l = new L_Systems_Class(900, 17, 0.7);
  t = new Turtle(this);
  
}

void draw(){
  t.setX(width/2);
  t.setY(height-50);
  background(#d3dbf5);
  strokeWeight(4);
  //stroke(#301a0c);
  //stroke(#030000);
  stroke(#365220);
  l.drawLSystem(t);
  l.iteration();
}

void keyPressed(){
 if (key == ' '){
   String fileName = "Lsystem" + random(0,100) + ".png";
   save(fileName);
   println("saved file: " + fileName);
 }
} 
